%define vers   0.2
%define svnrev 687156

Name:           rhm-docs
Version:        %{vers}.%{svnrev}
Release:        2%{?dist}
Summary:        Installation Guide, Tutorial and source code examples for RHM

Group:          Development/Languages
License:        LGPL
URL:            http://incubator.apache.org/qpid
Source0:        %{name}-%{version}.tar.gz
# mkdir %{name}; cd %{name}
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/cpp/examples/examples cpp
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/java/client/example/src/main/java java
# svn export http://svn.apache.org/repos/asf/incubator/qpid/trunk/python/examples python
#  (wget PDF docs... fill in final paths here)
# cd ..
# tar czf %{name}.tar.gz --exclude "*\.svn*" --exclude "*/publisher*" \
#   --exclude "*/pubsub*" --exclude "*/shared*" --exclude "*/subscriber*" %{name} 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

%description
Installation Guide, Tutorial and source code examples for RHM. 
Includes examples for direct, fanout, and topic exchanges 
in several languages: C++, Java (JMS), and Python.

%prep
%setup -q

%build
# empty

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/usr/share/doc/rhm-%{vers}
cp -pr * $RPM_BUILD_ROOT/usr/share/doc/rhm-%{vers}
# fix warnings about script permissions
find $RPM_BUILD_ROOT/usr/share/doc/rhm-%{vers} -name '*.py' \
  -exec chmod +x {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc /usr/share/doc/rhm-%{vers}/LICENSE.txt
/usr/share/doc/rhm-%{vers}

%changelog
* Mon Sep 8 2008 Justin Ross <jross@redhat.com> - 0.2.687156-2
- Update to revision 687156 of the qpid.0-10 branch

* Fri Sep 5 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.2.692401
- Hyphens problem fixed in docs.

* Thu Sep 4 2008 Jonathan Robie <jonathan.robie@redhat.com> - 0.2.692181
- For QA, docs known bad. Do not release.

* Thu Jun 12 2008 Justin Ross <jross@redhat.com> - 0.2.667312-1
- Update to revision 667312

* Fri May 30 2008 Justin Ross <jross@redhat.com> - 0.2.656926-4
- Add a patch to add the special boost includes

* Fri May 16 2008 Nuno Santos <nsantos@redhat.com> - 0.2.656926-2
- Fix installation path

* Mon May 12 2008 Nuno Santos <nsantos@redhat.com> - 0.2-17
- Update for Beta 4

* Wed Feb 13 2008 Rafael Schloming <rafaels@redhat.com> - 0.2-16
- Update for Beta 3

* Wed Feb 13 2008 Nuno Santos <nsantos@redhat.com> - 0.2-15
- Removed undocumented Java amqpexamples, spurious verify files

* Thu Feb 07 2008 Nuno Santos <nsantos@redhat.com> - 0.2-14
- Fixed path of installation (see 0.2-11, 0.2-8)
- Removed outdated (0.8) Java examples

* Thu Jan 24 2008 Nuno Santos <nsantos@redhat.com> - 0.2-13
- Updated version of the Installation Guide and Tutorial

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.2-12
- Updated version of the Installation Guide and Tutorial

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.2-11
- revert path of installation, see 0.2-8, to match current documentation
(will have to be reverted back after docs are fixed)

* Wed Jan 23 2008 Nuno Santos <nsantos@redhat.com> - 0.2-9
- Updated version of the Installation Guide and Tutorial

* Tue Jan 22 2008 Nuno Santos <nsantos@redhat.com> - 0.2-8
- Fixed path of installation

* Fri Dec 21 2007 Nuno Santos <nsantos@redhat.com> - 0.2-7
- Update source code examples

* Tue Dec 18 2007 Nuno Santos <nsantos@redhat.com> - 0.2-6
- Update Installation Guide and Tutorial

* Fri Nov 30 2007 Nuno Santos <nsantos@redhat.com> - 0.2-1
- Include Installation Guide, Tutorial, and new examples

* Thu Sep 13 2007 Nuno Santos <nsantos@redhat.com> - 0.1-1
- Initial build
